package com.yeejoin.amos.boot.module.cylinder.flc.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.module.cylinder.flc.api.entity.CylinderFilling;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * 气瓶充装信息--充装前检查 Mapper 接口
 *
 * @author system_generator
 * @date 2022-03-04
 */
public interface CylinderFillingMapper extends BaseMapper<CylinderFilling> {

    Double queryIntegirtyByAppId(String appId);

    Integer getFillingCountByMonth(@Param("appId") String appId, @Param("time") Date time);

    Integer getFillingCountByDay(@Param("appId") String appId, @Param("time") Date time);

    Integer getFillingPassedCountByMonth(@Param("appId") String appId, @Param("time") Date time);
}
